# Class Sound#getSoundOut

Sound

- Defined in: sound.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Sound#getSoundOut(successCallback, errorCallback) Gets sound speakerType.

## Class Detail

Sound#getSoundOut(successCallback, errorCallback)
Gets sound speakerType. Each SoundOut has a set of predefined sound properties.

    // Javascript code
    function getSoundOut () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("speakerType : " + cbObject.speakerType);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var sound = new Sound();
      sound.getSoundOut(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  speakerType | String | Sound.SoundOut

See:
  Sound.setSoundOut()